Page MenuHomePhabricator

Better promotion of smaller tech events (Tech Talks, Office Hours, Lightning Talks...)
Closed, ResolvedPublic

Description

We have a problem of low participation in our small size technical events: Tech Talks, Office Hours, Lightning Talks... There might be many reasons for this, but one of them is the promotion we make of these events.

How are we promoting our events currently? Do we have a single approach or different promoters take different approaches?

Are these approaches documented anywhere?

Are these the best approaches? What improvements can be make?

See also:

Event Timeline

Qgil created this task.Feb 18 2016, 11:21 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 18 2016, 11:21 AM
Elitre added a subscriber: Elitre.Feb 18 2016, 11:22 AM
Elitre added a comment.EditedFeb 18 2016, 7:49 PM

I wouldn't focus on that page.
In my mind, this is not a problem of an event being small or big, and being techy or social/community/etc.
I think there is just not enough visibility of all the events which are regularly held online to highlight the work that players in the Movement have done or plan to be doing, and that incidentally aim precisely to more transparency, to get to know each other's work better, to provide a venue to discuss "face-to-face" (or at least in real time), and all of this through a variety of tools (hangouts/BlueJeans/YouTube, IRC for people who have a penchant for text).
So, three points:

  1. General awareness
  2. Group as many events as possible/provide information in a central place
  3. Tell specific community members or groups which should be informed

For #1, I'd bet real money that a lot of people who would be interested in those events just have no idea they're happening. Of course the most active Wikimedians may be used to following Metrics, but I'm pretty sure not many are aware that other kinds of events exist, not to mention the possibility to follow in real time or to be involved in various ways. Using social networks to promote events would IMHO only work if there were dedicated accounts just for that, otherwise it's info buried among lots of other stuff.

For #2, if there's a single page at Meta or mediawiki.org listing all of these events (including Metrics and every other meeting where the community is more than welcome, like the VE triage meetings), then I never edited that page.
I'm also not talking about the IRC office hours page, which -in its current state- is not worth our readers' time. (We really need to stop pretending that it makes sense to put all the information for organizers, presenters, watchers etc. on the same page, because it just doesn't.)
https://www.mediawiki.org/wiki/Project:Calendar has a handful of watchers, and probably even fewer readers.
What I have in mind (for the audience) is a single page with just a calendar sheet on it, with colored slots on the days when events happen. You click on the slots, a pop-up with all the information comes up, or something. And it needs visibility, like a link from Meta's homepage (if it can't be embedded there directly), from WMF's wiki, etc.

(this is just an example, taken from this site. I'm sure we can make something similar with wikitext.)
Also, WMF staff gets email announcement/reminders about most of these events, but the rest of the Movement doesn't.
If we could plan things well in advance, we could send a biweekly cumulative email detailing all the events coming up in that couple of weeks (the challenge here is coordinating organizers, I'm afraid).
This would also give the community the time to spread the word; just because information is available in some central place, doesn't mean it will reach the people it should reach.

And this leads us to #3. Some events feature different speakers and different themes every time, so not everyone will be interested in attending all the time. And sometimes, we need to go find our audience :) Here are some examples of on-wiki communication for a tech talk about a very specific topic (it's to give an idea of the venues, please don't mind the language itself. 1 - 2 - 3 - 4 - 5 - 6 - 7 ).

Qgil moved this task from Backlog to Apr-Jun-2016 on the Developer-Advocacy board.Apr 2 2016, 7:30 AM
Qgil triaged this task as High priority.
Qgil lowered the priority of this task from High to Low.Apr 5 2016, 9:54 AM

Sorry, I changed the priority accidentally while moving this task in a workboard.

Still, either this task gets an owner or we will have to push it further. @Rfarrand , I wonder whether it would be worth to take this task even at the expense of not organizing some Tech Talks. I also wonder which Community-Relations-Support would be interested in co-committing to help in this task, since their work promoting office hours etc is also highly affected.

I'll claim this one as it's unassigned. I'll work with @Rfarrand and others to put some thought into how to better promote (with the intent of better attendance!) these sort of events.

Do you include workshops held by WMF or stands at community events?

I'm concerned that improvement in this area may make things worse for small wikis: T130602: Are messages from the WMF negatively affecting small Village Pumps?

Maybe it's helpful to roughly define what a smaller tech event is? To me it's something that is less than a whole day. IRC Meetings being a prime example. At most a few hours (like say a 9am to noon workshop) with a near-zero budget.

Qgil added a comment.EditedApr 5 2016, 8:50 PM

Thank you @CKoerner_WMF ! "Tech Talks, Office Hours, Lightning Talks..." provides a very specific starting point. If we solve these types of small tech events, then solving the rest will be easier.

@Whatamidoing-WMF , ref Village Pumps, we would need to consider only the Technical ones, and maybe only under special conditions?

CKoerner_WMF raised the priority of this task from Low to Normal.Apr 12 2016, 8:52 PM

Chris should now have access to the MediaWiki twitter account and as soon as Quim can help he will have access to the MediaWiki facebook account.

I've updated the updates from @Rfarrand to include a little more detail around promotion.

https://www.mediawiki.org/wiki/Project:Calendar/How_to_schedule_an_event#Promotion

I'm also comfortable aiding in supporting promotion through our social media channels. We have a sizable number of followers/likes across three major social networks. We can consistently use those venues for promotion and see how that influences attendance.

Related: These three social networks are incredibly Western-world focused. Should we investigate other resources? Weibo in China for instance?

Qgil updated the task description. (Show Details)Apr 19 2016, 8:03 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 7:32 PM
Qgil updated the task description. (Show Details)Apr 25 2016, 1:48 PM
Varnent added a subscriber: Varnent.May 4 2016, 3:44 PM
Varnent added a subscriber: jeffelder.

https://www.mediawiki.org/wiki/Project:Calendar/How_to_schedule_an_event#General_Event_Suggestions

I've added a little more under the general section, particularly around three areas that I think would improve attendance. They are summarized thusly:

  1. Pick an interesting topic
  2. Promote outside the normal channels
  3. Follow up after the event

How might we highlight these suggestions and improvements around WMF and the broader communities?

Qgil added a comment.May 19 2016, 8:31 PM

There is one moment when someone contacts us proposing a session. That could be the one moment when we share with them the best practices.

jrbs added a subscriber: jrbs.Jun 1 2016, 6:57 PM
CKoerner_WMF added a comment.EditedJun 16 2016, 2:46 PM

We've updated the How to schedule an event page to help make the planning and promotion of smaller tech events clearer. This makes it easier for people to plan and promote their own events, and makes clear how we can use the Technical Collaboration team to review topics and help promote through various means (Tech News, mailing lists, social media, etc.).

I also updated the Social Media page on MediaWiki.org to better describe our workflow for managing the MediaWiki social media accounts to support these small events (and other activities).

I reached out to Jeff Elder on the WMF Comms team to make sure we're following best practices. To that end (and mentioned on the Social Media page) I plan on shepherding updates to the MediaWiki social media accounts. Our target is 3 relevant updates a week to the Facebook and Twitter accounts. At the time of this post I've already been accomplishing this for about two weeks.

Rachel Farrand and I are also members of a group of interested Wikimedians to help share and promote events using social media. This, along with Jeff/Comms support, will help us to leverage other Wikimedia presences (blog, social media, etc.) to promote MediaWiki events.

The pages mentioned are also linked from the Office Wiki page Community_engagement/Making_announcements to help WMF staff.

I'm happy to pursue more outlets, but am also content to mark this task as resolved. I'd like others, particularly @Qgil as the author, to comment before I do so.

Qgil added a comment.Jun 16 2016, 3:34 PM

Thank you for all the work done on this task, @CKoerner_WMF . I think it is time to resolve this task, focus on the routines you are describing, and see whether there is an improvement in the impact of our smaller tech events.

Qgil awarded a token.Jun 16 2016, 3:34 PM
Qgil moved this task from May to June on the Community-Relations-Support (Apr-Jun-2016) board.
CKoerner_WMF closed this task as Resolved.Jun 20 2016, 10:05 PM